Menu

Why do I get a device certificate error when trying to set up my email client with certificate based authentication?

[Environment]
All devices are affected except the ones listed below. All dates in 2017.
  • Galaxy A3 (2016) — firmware A310FXXU3BQC2 released on March 22nd or later.
  • Galaxy A5 (2016) — firmware A510FXXU4BQC1 released on March 31th or later.
  • Galaxy J5 (2016) — firmware J510FNXXU2AQD2 released on April 25th.
  • Galaxy S7 — firmware G930FXXU1DQD7 released on April 29th.
  • Galaxy S6 — firmware G920FXXU5EQCS released on May 2nd.
[Cause]
There was a bug in the Native Google library BoringSSL.

[Resolution]
A new firmware has been released. It has been fixed with N OS and M OS firmware dated May 2nd 2017 or later.

If you require further assistance please log in to www.samsungknox.com and create a ticket.